Subject: bug#26500: [PATCH] gnu: Add mcomix.

From: Arun Isaac <[email-masked]>
Date: Wed, 19 Apr 2017 21:23:49 +0530

nee writes:

>> If mupdf is a heavy dependency and it is not commonly needed, you can
>> drop it and just package with 7z and rar as dependencies.
>
> I have successfully patched in the path for 7zip.
> I init the variable that stores it with a unicode string. I make the
> assumption that the store path will never contain a ' character.

> I read a little bit about unrar and it's issues with mcomix.
> Unrar is very old and only supports RAR2, as someone says in the mcomix
> issues it is unable to unpack most rar archives created after 2002¹. On
> other distro mcomix currently relies on an unfree rar package², and
> there is an open ticket³ about switching to a free library like
> libarchiver (which supports RAR5 and is also used by file-roller, which
> works fine on GuixSD).
>
> I tried unrar on the commandline and it would list file names, but
> always fail on unpacking. When called by mcomix, it would always try to
> read a password from stdin and freeze the gui.
> I will omit rar support for now, since unrar is mostly useless.

Ok, that's fine.

> @@ -28,6 +29,7 @@
>    #:use-module (guix packages)
>    #:use-module (guix build-system gnu)
>    #:use-module (guix build-system cmake)
> +  #:use-module (guix build-system python)
>    #:use-module (gnu packages autotools)
>    #:use-module (gnu packages algebra)
>    #:use-module (gnu packages base)
> @@ -46,6 +48,7 @@
>    #:use-module (gnu packages pkg-config)
>    #:use-module (gnu packages qt)
>    #:use-module (gnu packages xorg)
> +  #:use-module (gnu packages python)
>    #:use-module (gnu packages))

Since these modules are already in alphabetical order, it would be good
to keep them that way. Insert (gnu packages python) at an appropriate
position.

> +    (inputs `(("python2-pillow" ,python2-pillow)
> +              ("python2-pygtk" ,python2-pygtk)
> +              ("p7zip" ,p7zip)))

Please put these in alphabetical order too. That means p7zip will go on
the top.

> +    (description "MComix is a customizable image viewer that specializes as
> +a comic and manga reader.  It supports a variety of container formats
> +including CBZ, CB7, CBT, LHA.
> +CBR and rar are currently unsupported, due to unfree dependencies.
> +For optional pdf support, you can install the mupdf package.")

Can we move the information about RAR and PDF support to a comment above
the package definition, as done for the octave package?